<template>
	<!-- #################  S-LE-04  #################### -->
	<div class="frame-content">
		<a href="" @click.prevent="$emit('remove')">
			<i class=" ti-trash trash-content"></i>
		</a>
		<span class="float-option-detail">
			<b>{{ index + 1 }} de {{ length }} páginas</b>
		</span>
		<span class="float-option-detail hidden-sm-down">{{ config.id }}</span>
		<div class="float-option-image"><img class="" :src="config.portrait"></div>
		<form class="form-material " data-vv-scope="form-builder">
			<div class="form-group row">
				<div class="col-sm-12">				
					<div class="col-sm-8">
						<input type="name" name="sle04-title" v-validate="'required'" class="form-control form-control-lg" id="input" placeholder="Título" v-model="value.title">
						<span v-show="errors.has('form-builder.sle04-title')" class="form-control-feedback danger-message">Este campo es requerido.</span>
					</div>
					<div class="col-sm-4 col-md-3 pull-right" id="reading-time">
						<i class="ti-timer" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tiempo de lectura en seg." ></i>
						<input type="number" min="0" max="25" name="sle04-readingTime" id="input" placeholder="T. Lectura" class="form-control " v-validate="'required'" v-model="value.readingTime" aria-required="true" aria-invalid="false"> 
						<span v-show="errors.has('form-builder.sle04-readingTime')" class="form-control-feedback danger-message">Este campo es requerido.</span>
					</div>
				</div>
				<div class="col-sm-12">
					<textarea name="sle04-body" v-validate="'required'" class="form-control form-control-lg " id="exampleTextarea" placeholder="Descripción del contenedor" rows="4" v-model="value.body"></textarea>
					<span v-show="errors.has('form-builder.sle04-body')" class="form-control-feedback danger-message">Este campo es requerido.</span>
				</div>

				<div class="col-sm-12 mt-2">
                    <a class="note-content-icon" data-toggle="collapse" :href="`#${config.props.id}-${index}`" aria-expanded="false" :aria-controls="`${config.props.id}-${index}`">
                        <div class="note-content">
                            <h2>
                                <i class="ti-arrow-circle-down"></i> Mis apuntes
                            </h2>
                        </div>
                    </a>
                    <div class="collapse" :id="`${config.props.id}-${index}`">
                        <textarea class="form-control form-control" placeholder="Tus apuntes: Guiones, Audios, explicaciones de diseño etc." rows="5" v-model="value.notes"></textarea>
                    </div>
                </div>

			</div>
		</form>
	</div>
</template>

<script>	
import { config } from './config'

export default {
	name: config.component,
	props: {
		...config.props,
		length: {
			type: Number,
		},
		index: {
			type: Number,
		},

	},
	data(){
		return {
			config
		}
	}
}
</script>